> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/ja/guang-gao-zhu/exoclick-rtb/bid-response.md).

# ExoClick RTB Bidレスポンス

ExoClick の RTB ビッドレスポンスは JSON と XML で行えます。入札リクエストへの応答は次の構造になります:

## ビッドレスポンスオブジェクト

| 属性          | 説明                                                                                     |
| ----------- | -------------------------------------------------------------------------------------- |
| id          | この入札が適用されるインプレッションオブジェクトのID（文字列）                                                       |
| imgUrl      | 画像URL（type banner のみ）                                                                  |
| iconUrl     | アイコンURL（type push\_notification のみ、指定されたサイズである必要があります）                                 |
| clickUrl    | キャンペーンがクリックされたときの転送先URL（type banner または push\_notification）                            |
| url         | キャンペーンがクリックされたときの転送先URL（type popunder のみ）                                              |
| title       | 広告のタイトル（type push\_notification のみ）                                                    |
| description | 広告の説明文（type push\_notification のみ）                                                     |
| value       | CPM または CPC の入札価格（浮動小数）                                                                |
| imptrackers | インプレッショントラッカー、任意（type push\_notification のみ）                                           |
| btype       | 価格モデル。値: 1 = CPM、2 = CPC。デフォルト = 1（int）。応答が Email Clicks ゾーンのリクエスト向けの場合、1 = Smart CPC。 |
| bUrl        | 請求通知URL。bUrl には HTTPS より HTTP の使用を推奨します                                                |

**注:**

* **"id"** 属性は次のものと一致している必要があります **リクエストで受信した "id"**.
* **プッシュ通知** 広告フォーマットは CPC 価格モデルでの入札を受け付ける場合があります。 **ダイレクトリンク** フォーマットは、〜に使用される場合にも **Email Click** ゾーンリクエスト。
* また、プッシュ通知広告を配信する場合、1つだけの **imptracker** URL のみが許可されます。
* **bURL** btype フィールドの CPM または CPC に応じて、インプレッションまたはクリックが発生したときに呼び出されます（デフォルトは CPM）

## ノービッドレスポンス

実際に入札せずに入札リクエストへ応答するには、HTTPレスポンスコード 204 "No Content" を送信してください。

## エンドポイントに動的トークンを追加する

リクエストで受け取る情報に加えて、次のものも追加できます **動的トークン** をエンドポイントに。これにより、受信したリクエストを確認する際に、そのリクエストの発信元をすばやく特定できます。

ExoClick でよく使われるトークンは次のとおりです:

* **{site\_id}**: 広告が表示されるサイトのID番号。
* **{zone\_id}**: 広告が表示される広告ゾーンのID。
* **{src\_hostname}**: パブリッシャーが広告表示用に送信したサイト名。先頭の HTTP プロトコルは含みません（例: examplesite.com）。
* **{url}**: パブリッシャーが広告表示用に管理パネルへ送信したサイトの完全なURL。HTTPプロトコルを含みます（例: <https://examplesite.com）。注>: このトークンには、ユーザーに広告が表示されたURLは表示されません。プラットフォームに登録されているURLのみが表示されます。
* **{tags}**: その広告インプレッションに対して識別されたキーワードの一覧。
* **{keyword}**: 特定のキーワードをターゲットにしたキャンペーンの場合に一致したキーワード。一致がない場合は空になります。
* **{language}**: 訪問者の言語。
* **{\&empty=204}**: No Bid 応答を返す際は、これをエンドポイントに追加してください。
* **{imp\_id}**: エンドポイントでインプレッションIDを受け取るには、これを追加してください。

他のトークンが必要な場合や、追加の詳細を追跡する必要がある場合は、アカウントマネージャーまでご連絡ください。

## 例

Bidレスポンスの詳細な例は、当社の [広告主レスポンスのサンプルページ](/rtb/ja/guang-gao-zhu/exoclick-rtb/exoclick-rtb-advertiser-code-examples.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/ja/guang-gao-zhu/exoclick-rtb/bid-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
